(* file: test.ml
 * author: Bob Muller
 * date: November 30, 2014
 * 
 * A test harness for the point and line ADTs.
 * 
 * This test code can be run:
 * 
 * - under emacs by first opening and loading point.ml, then line.ml, 
 *   the test.ml.
 * 
 * - from the command line by typing:
 *   > ocamlc -o test.out point.ml line.ml test.ml
 *   > ./test.out
 * 
 * - under eclipse+ocadie by importing these files into a new project
 *   then selecting test.ml under project Properties -> Ocaml Project.
 *)
open Point
open Line

let test() =
  let p1 = Point.make 0.0 0.0 in
  let p2 = Point.make 0.5 0.5 in
  let line = Line.make p1 p2 
  in
    print_endline (Line.toString line);;

let _ = test();;
