    (* The first of the following two type definitions would expose 
     * the representation of points to the client. The second makes 
     * the new type abstract.
     *)

    (* type t *)                             (* t is hidden  *)
    type t = {x:float; y:float}              (* t is exposed *)

    val make : float -> float -> t
    val getX : t -> float
    val getY : t -> float
    val toString : t -> string
    val distance : t -> float
    val compareTo : t -> t -> int
    val equal : t -> t -> bool
    val move : t -> float -> float -> t
